Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86520 - Enhancement: eCos needs a shell
Summary: Enhancement: eCos needs a shell
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: Other
Version: CVS
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jonathan Larmour
QA Contact: Jonathan Larmour
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-25 01:26 UTC by Jonathan Larmour
Modified: 2007-03-27 04:01 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-20 16:22:07 UTC


Attachments (Terms of Use)

Description Jonathan Larmour 2003-03-25 01:26:51 UTC
This is an enhancement requested at FOSDEM 2003. Here's an excerpt from a mail
message about this:

 * A shell! This has come up before and we kept telling people it's
inappropriate without processes, safe thread control (can you _really_ just
suspend/restart threads?), and frequently no filesystem. But people said we
should consider it as infrastructure so that _they_ can add shell stuff that
they want to.

Someone mentioned dash as a starting point... see
<http://v2dash.hypermart.net/>... but looking at it that can't have been right.
More relevant may be that it gives an idea of the commands a custom shell we
supplied _could_ provide.

A second but much more interesting idea IMO is to port TCLSH! That would be very
powerful, it's very portable, was even originally designed for an embedded
system. I like this idea a lot. It probably came from Bart of course ;-)
although I can't remember for sure.

Comment 1 Alex Schuilenburg 2003-06-20 16:22:07 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=86520


Note You need to log in before you can comment on or make changes to this bug.